[Fwd: Re: kde4.4 et wicd ?]

Le
Thierry Leurent
Voila c'est mieux ici


Je viens d'avoir le même probème lors d'une réinstallation des paquets de
kde 4.3.
Je me suis retrouvé avec les 2 systèmes wicd et network-manager. La
solution est de désinstaller network-manager.

fusco.spv a écrit :
> @Mourad, wicd ne dépend pas de network-manager, c'est ce qui en a fait
> un outil très intéressant au moins à une époque.
>
> Depends: debconf (>= 0.5) | debconf-2.0, python, python-dbus,
> python-gobject, python-iniparse, dbus, wpasupplicant, wireless-tools,
> dhcpcd | dhcp3-client | pump | udhcpc, net-tools | ethtool, net-tools
> | iproute, adduser, lsb-base (>= 3.2-13), psmisc, iputils-ping |
> inetutils-ping, python-wicd (= 1.7.0+ds1-2)
> Recommends: wicd-gtk (= 1.7.0+ds1-2) | wicd-curses (= 1.7.0+ds1-2) |
> wicd-cli (= 1.7.0+ds1-2) | wicd-client
>
>
> @philippe, je me pencherais sur un autre point, qui pourrait être le
> renommage de ton interface réseau (ex athx en wlanx) en cause dbus.
>
> mes 2 cents.
>
> --
> David DEMONCHY
> Fusco <fusco.spv@gmail.com>
> http://fusco.dacano.org/
> --
>
>
>
> Le 5 mai 2010 09:09, C. Mourad Jaber <ml@nativobject.net> a écrit :
>> Le 04/05/2010 19:15, Courrier Debian a écrit :
>>>
>>> Bonjour,
>>> Je suis en Sid AMD64 et je viens de faire la mise à jour qui fait
>>> évoluer
>>> Kde
>>> 4.3 en Kde 4.4, suite à cette modification importante wicd en
>>> connexion
>>> WIFI
>>> ne fonctionne plus , le réseau WIFI est bien détecté mais par contre
>>> impossible de se connecter, message d'erreur "mot de passe erroné"
>>>  pour
>>> une
>>> clef wpa. J'ai fait plusieurs vérifications,en premier lieu
>>> évidemment
>>> l'exactitude de la clef fournie pour moi ok , d'autres ordinateurs
>>>  arrivent à
>>> se connecter sans problème sur ce réseau, donc ce n'est pas un pb du
>>> routeur
>>> wifi.
>>> Ce qui me chagrine je ne vois pas dans les maj quel est le paquet qui
>>>  impacte
>>> le réseau. J'ai cherché chez les Bugs Wicd je n'ai pas vu un qui se
>>> rapporte à
>>> ce pb.
>>> Es ce que quelqu'un a ce problème ?
>>> Une idée pour le résoudre  ?
>>> Merci.
>>> Philippe
>>>
>>>
>>
>> Bonjour,
>>
>> J'ai knetwork-manager en sid amd64 avec kde 4.4.3 et mis à par un bug
>> graphique, ça roule
>>
>> Wicd utilise network-manager pour gérer la connexion, donc si tu tente
>> une
>> autre applet (knetwork-manager ou celui de gnome) et que ça fonctionne,
>> ça
>> voudra dire que c'est un pb wicd !
>>
>> ++
>>
>> Mourad
>>
>> --
>> Lisez la FAQ de la liste avant de poser une question :
>> http://wiki.debian.org/fr/FrenchLists
>>
>> Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
>> vers debian-user-french-REQUEST@lists.debian.org
>> En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
>> Archive: http://lists.debian.org/4BE119AD.3080707@nativobject.net
>>
>>
>
> --
> Lisez la FAQ de la liste avant de poser une question :
> http://wiki.debian.org/fr/FrenchLists
>
> Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
> vers debian-user-french-REQUEST@lists.debian.org
> En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
> Archive:
> http://lists.debian.org/j2ka97977ec1005050027reb38f12em7cd409bb9e79d784@mail.gmail.com
>
>


--
Thierry Leurent


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers debian-user-french-REQUEST@lists.debian.org
En cas de soucis, contactez EN ANGLAIS listmaster@lists.debian.org
Archive: http://lists.debian.org/1a0ca583272b0cf919410dcfc845d081.squirrel@squirrel.asgardian.be
Vidéos High-Tech et Jeu Vidéo
Téléchargements
Vos réponses
Gagnez chaque mois un abonnement Premium avec GNT : Inscrivez-vous !
Trier par : date / pertinence
Courrier Debian
Le #21688211
Le mercredi 5 mai 2010 10:25:42, Thierry Leurent a écrit :

Je viens d'avoir le même probème lors d'une réinstallation des paqu ets de
kde 4.3.
Je me suis retrouvé avec les 2 systèmes wicd et network-manager. La
solution est de désinstaller network-manager.



Oui dans le mille, c'est donc bien sur !!!
Je me rappelle que lorsque j'avais installé wicd, il m'avait dés-instal lé
network-manager. Mais Kde lui ne se préoccupe pas de ce petit détail !!!
J'ai envie de faire un rapport de Bug à Kde, sur la non vérification de
l'existence d'un autre outil de maintenance de réseau.
Merci à vous tous.
Philippe

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Sylvain Sauvage
Le #21688791
Courrier Debian, mercredi 5 mai 2010, 20:14:29 CEST

Le mercredi 5 mai 2010 10:25:42, Thierry Leurent a écrit :

> Je viens d'avoir le même probème lors d'une réinstallati on des paquets de
> kde 4.3.
> Je me suis retrouvé avec les 2 systèmes wicd et network-manag er. La
> solution est de désinstaller network-manager.
>
Oui dans le mille, c'est donc bien sur !!!
Je me rappelle que lorsque j'avais installé wicd, il m'avait dé s-installé
network-manager. Mais Kde lui ne se préoccupe pas de ce petit dà ©tail !!!
J'ai envie de faire un rapport de Bug à Kde, sur la non vérific ation de
l'existence d'un autre outil de maintenance de réseau.



Non, Kde ne dépend pas de network-manager.
À la rigueur, kde-standard _recommande_ network-manager-kde
qui, lui, dépend de network-manager.

En revanche, si wicd ne fonctionne pas lorsque network-manager
est installé, alors ce serait à lui d’être en confli t avec
network-manager. Mais il ne l’est pas. Et si tu dis qu’il
l’était (si c’est bien lui qui a fait désinstalle r n-w), c’est
que le conflit a été réglé d’une façon ou d’une autre. Donc cf.
la doc de wicd pour voir comment s’en servir avec n-w installé.
Et si ce n’est pas possible, c’est qu’il manque u n conflit
entre wicd et n-w (donc voir l’historique de ces deux paquets
pour éventuellement savoir pourquoi) ; mais pas de rapport avec
Kde.

--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Courrier Debian
Le #21695611
Le mercredi 5 mai 2010 21:21:07, Sylvain Sauvage a écrit :
Courrier Debian, mercredi 5 mai 2010, 20:14:29 CEST

> Le mercredi 5 mai 2010 10:25:42, Thierry Leurent a écrit :
> > Je viens d'avoir le même probème lors d'une réinstalla tion des paquets
> > de kde 4.3.
> > Je me suis retrouvé avec les 2 systèmes wicd et network-man ager. La
> > solution est de désinstaller network-manager.
>
> Oui dans le mille, c'est donc bien sur !!!
> Je me rappelle que lorsque j'avais installé wicd, il m'avait dà ©s-installé
> network-manager. Mais Kde lui ne se préoccupe pas de ce petit dà ©tail !!!
> J'ai envie de faire un rapport de Bug à Kde, sur la non vérif ication de
> l'existence d'un autre outil de maintenance de réseau.

Non, Kde ne dépend pas de network-manager.
À la rigueur, kde-standard _recommande_ network-manager-kde
qui, lui, dépend de network-manager.

En revanche, si wicd ne fonctionne pas lorsque network-manager
est installé, alors ce serait à lui d’être en conf lit avec
network-manager. Mais il ne l’est pas. Et si tu dis qu’il
l’était (si c’est bien lui qui a fait désinstal ler n-w), c’est
que le conflit a été réglé d’une façon o u d’une autre. Donc cf.
la doc de wicd pour voir comment s’en servir avec n-w installà ©.
Et si ce n’est pas possible, c’est qu’il manque un conflit
entre wicd et n-w (donc voir l’historique de ces deux paquets
pour éventuellement savoir pourquoi) ; mais pas de rapport avec
Kde.


Salut, tu as raison kde n'est pas responsable, c'est plutôt network-ma nager
qui devrait du moins avertir d'un possible problème avec wicd.
Résumons le problème, tu installes wicd lui il s'embarrasse pas i l dés-
installe network-manager.
Si comme tu le suggères wicd met une incompatibilité avec network -manager, je
pense que ni kde ni Gnome ne peuvent alors changer de version car alors ils
réinstallent kde (kde-full) intégralement ou pour gnome je le sup pose fait de
même, et alors dans l'ensemble il y a un paquet qui dépend de ne twork-manager
(kde-network-manager, ou gnome-network-manager pour gnome).
Je ne suis pas expert et je me trompe peut être, mais je vois le pb co mme
cela.
A+.
Philippe


--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Sylvain Sauvage
Le #21697851
Courrier Debian, jeudi 6 mai 2010, 17:31:33 CEST
[…]
> Non, Kde ne dépend pas de network-manager.
> À la rigueur, kde-standard _recommande_ network-manager-kde
> qui, lui, dépend de network-manager.
>
> En revanche, si wicd ne fonctionne pas lorsque network-manager
> est installé, alors ce serait à lui d’être en co nflit avec
> network-manager. Mais il ne l’est pas. Et si tu dis qu’ il
> l’était (si c’est bien lui qui a fait désinst aller n-w), c’est
> que le conflit a été réglé d’une façon ou d’une autre. Donc cf.
> la doc de wicd pour voir comment s’en servir avec n-w install é.
> Et si ce n’est pas possible, c’est qu’il manq ue un conflit
> entre wicd et n-w (donc voir l’historique de ces deux paquets
> pour éventuellement savoir pourquoi) ; mais pas de rapport avec
> Kde.
Salut, tu as raison kde n'est pas responsable, c'est plutôt network- manager
qui devrait du moins avertir d'un possible problème avec wicd.



Ou réciproquement puisque n-w fonctionne très bien si wicd est
installé alors que wicd ne fonctionne pas si n-w est installé.

Résumons le problème, tu installes wicd lui il s'embarrasse pas il dés-
installe network-manager.



Non. C’est justement ce que je disais : il n’y a auc un conflit
dans les paquets Sid (si l’on demande à installer wicd alors q ue
n-w est déjà installé, n-w reste). Donc soit ce conflit manq ue
soit il y a une solution pour avoir les deux.

Si comme tu le suggères wicd met une incompatibilité avec netwo rk-manager, je
pense que ni kde ni Gnome ne peuvent alors changer de version car alors i ls
réinstallent kde (kde-full) intégralement ou pour gnome je le s uppose fait de
même, et alors dans l'ensemble il y a un paquet qui dépend de network-manager
(kde-network-manager, ou gnome-network-manager pour gnome).



Non. Kde-standard _recommande_ seulement n-w-kde et gnome
_recommande_ seulement n-w-gnome, et ces deux-là dépendent de
n-w. L’installation de n-w n’est donc faite que si tu insta lles
les _recommand_ations comme des _dépend_ances et que tu ne
vérifies pas ce que l’on te propose d’installer.

Je ne suis pas expert et je me trompe peut être, mais je vois le pb comme
cela.



--
Sylvain Sauvage

--
Lisez la FAQ de la liste avant de poser une question :
http://wiki.debian.org/fr/FrenchLists

Pour vous DESABONNER, envoyez un message avec comme objet "unsubscribe"
vers
En cas de soucis, contactez EN ANGLAIS
Archive: http://lists.debian.org/
Publicité
Poster une réponse
Anonyme